OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIX.ListPriority

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXListPriority :: MonadIO m => m Bool
- gl_SGIX_list_priority :: Bool
- pattern GL_LIST_PRIORITY_SGIX :: GLenum
- glGetListParameterfvSGIX :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetListParameterivSGIX :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glListParameterfSGIX :: MonadIO m => GLuint -> GLenum -> GLfloat -> m ()
- glListParameterfvSGIX :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glListParameteriSGIX :: MonadIO m => GLuint -> GLenum -> GLint -> m ()
- glListParameterivSGIX :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetSGIXListPriority :: MonadIO m => m Bool Source #

Is the SGIX_list_priority extension supported?

gl_SGIX_list_priority :: Bool Source #

Is the SGIX_list_priority extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXListPriority` in those cases instead.

# Enums

pattern GL_LIST_PRIORITY_SGIX :: GLenum Source #

# Functions

glGetListParameterfvSGIX Source #

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> GLenum | `pname` of type ListParameterName.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glGetListParameterivSGIX Source #

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> GLenum | `pname` of type ListParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glListParameterfSGIX Source #

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> GLenum | `pname` of type ListParameterName.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

glListParameterfvSGIX Source #

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> GLenum | `pname` of type ListParameterName.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glListParameteriSGIX Source #

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> GLenum | `pname` of type ListParameterName.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

glListParameterivSGIX Source #

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> GLenum | `pname` of type ListParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |